<?php error_reporting(E_ALL); ?>
<?php header("Content-type: text/plain; charset=ISO-8815-1");?>
<?php echo"<?xml version=\"1.0\" encoding=\"ISO-8859-1\" ?>";?> 
<?php 
	$ladate = date("Y-m-d H:i");
?>
<catalogue lang="FR" date="<?php echo($ladate); ?>" GMT="+1" version="1.5">
<?php

	$repertoire = realpath(dirname(__FILE__));
	
	include_once($repertoire . "/../../../classes/Produit.class.php");
	include_once($repertoire . "/../../../classes/Image.class.php");
	include_once($repertoire . "/../../../classes/Rubrique.class.php");
	include_once($repertoire . "/../../../classes/Caracval.class.php");
	include_once($repertoire . "/../../../classes/Caracdisp.class.php");
	include_once($repertoire . "/config.php");
	
	$langue = new Lang(LANG);

	$i=0;
	
	$produit = new Produit();	
	$produitdesc = new Produitdesc();
	$rubrique = new Rubrique();
	$rubriquedesc = new Rubriquedesc();
	$image = new Image();
	$caracval = new Caracval();
	$imageProduit = array();
	$caracvalProduit = array();
	 
	$q = "select id from $produit->table where ligne='1'";
	$r = mysql_query($q, $produit->link);

	while($a = mysql_fetch_object($r)){
		
		$produit->charger_id($a->id);
		$produitdesc->charger($produit->id, LANG);
		$rubrique->charger($produit->rubrique);
		$rubriquedesc->charger($rubrique->id, LANG);
		
		$q_img = "select id from $image->table where produit='$produit->id' ORDER BY classement ASC";
		$r_img = mysql_query($q_img, $image->link);
		while($a_img = mysql_fetch_object($r_img))
		{
			$imageProduit[] = new Image($a_img->id);
		}
		
		$q_cv = "select id from $caracval->table where produit='$produit->id' ORDER BY caracteristique ASC";
		$r_cv = mysql_query($q_cv, $caracval->link);
		while($a_cv = mysql_fetch_object($r_cv))
		{
			$cv = new Caracval($produit->id, $a_cv->id);
			if(!empty($cv->caracdisp))
			{
				$cdd = new Caracdispdesc($cv->caracdisp, LANG);
				$cv->valeur = $cdd->titre;
			}
			$caracvalProduit[$caracval->caracteristique] = $cv;
		}
		
		include($repertoire . "/config_xml.php");
		
		$i++;
						
?>	
	<product place="<?php echo($i); ?>">
		<category><![CDATA[  <?php echo utf8_decode($CATEGORIE); ?>  ]]></category>
		<merchant_id><![CDATA[ <?php echo utf8_decode($ID_UNIQUE); ?> ]]></merchant_id>
		<brand><![CDATA[ <?php echo utf8_decode($MARQUE); ?>  ]]></brand>
		<designation><![CDATA[ <?php echo utf8_decode($TITRE); ?>  ]]></designation>
		<price currency="<?php echo $DEVISE; ?>" tax_included="1" tax_value="19.6"><?php echo utf8_decode($PRIX); ?></price>
		<product_url><![CDATA[ <?php echo utf8_decode($URL_PRODUIT); ?> ]]></product_url>
		<image_url><![CDATA[ <?php echo utf8_decode($URL_IMAGE); ?> ]]></image_url>
		<description>
			<![CDATA[ <?php echo utf8_decode($DESCRIPTION); ?>  ]]>
		</description>
		<shipping_cost currency="<?php echo $DEVISE; ?>"><?php echo $FRAIS_PORT; ?></shipping_cost>
		<in_stock><?php echo $DISPONIBILITE; ?></in_stock>
		<stock_detail><?php echo $OCCASION; ?></stock_detail>
		<update_date><![CDATA[ <?php echo utf8_decode($UPDATE_DATE); ?> ]]></update_date>
	</product>	
<?php	
		}	
?>
</catalogue>
